# List Applications

Retrieve a list of Applications. If there are no Applications, an empty collection is returned. 

For details on how to query endpoints using the available parameters, see Query Parameters..

Endpoint: GET /applications
Version: 2022-02-01
Security: BasicAuth

## Query parameters:

  - `after_cursor` (string)
    Return every resource created after the cursor value.

  - `before_cursor` (string)
    Return every resource created before the cursor value.

  - `created_at.gte` (string)
    Filter where created_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `created_at.lte` (string)
    Filter where created_at is before the given date.
    Example: "2026-09-27T11:21:23"

  - `id` (string)
    Filter by the Application's ID.
    Example: "APgPDQrLD52TYvqazjHJJchM"

  - `limit` (integer)
    The numbers of items to return.
    Example: 10

  - `name.like` (string)
    Filter by the Application's name.
    Example: "Finix%20Flowers"

  - `owner_identity_business_name.like` (string)
    Filter by the Application Owner Identity's business name.
    Example: "Finix%20Flowers"

  - `owner_identity_doing_business_as.like` (string)
    Filter by the Application Owner Identity's Doing Business As (DBA).
    Example: "Finix%20Flowers%20Inc"

  - `owner_identity_email.like` (string)
    Filter by the Application Owner Identity's email.
    Example: "john.doe@finix.com"

  - `owner_identity_first_name.like` (string)
    Filter by the Application Owner Identity's first name.
    Example: "john"

  - `owner_identity_id` (string)
    Filter by the Application Owner Identity's ID.
    Example: "IDfuTjQubvNjKBwzp2k5WNmW"

  - `owner_identity_last_name.like` (string)
    Filter by the Application Owner Identity's last name.
    Example: "doe"

  - `processing_enabled` (boolean)
    Filter by whether the Application's processing is enabled.
    Example: true

  - `settlement_enabled` (boolean)
    Filter by whether the Application's settlements are enabled.
    Example: true

  - `updated_at.gte` (string)
    Filter where updated_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `updated_at.lte` (string)
    Filter where updated_at is before the given date.
    Example: "2026-09-27T11:21:23"

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see Versioning.
    Example: "2022-02-01"

## Response 200 fields (application/json):

  - `page` (object)
    Details the page that's returned.

  - `page.limit` (integer)
    The number of entries to return.

  - `page.next_cursor` (string,null)
    The cursor to use for the next page of results.

  - `_embedded` (object)

  - `_embedded.Application` (array)

  - `_embedded.Application.id` (string)
    The ID of the resource.

  - `_embedded.Application.created_at` (string)
    Timestamp of when the object was created.

  - `_embedded.Application.updated_at` (string)
    Timestamp of when the object was last updated.

  - `_embedded.Application.account_updater_enabled` (boolean)
    When enabled at the Application-level, Finix automatically checks for updates with card networks for all payment cards created after the feature is activated. This Account Updater functionality:

- Automatically updates card details (e.g., number or expiration date) to maintain continuity of charges, increasing authorization rates.
- Saves cardholders the hassle of updating card details across merchants.
- Applies to all payment instruments by default but can be disabled for specific cards.

The default value is false as explicit opt-in is required.

Note: Cards created before the feature is enabled are unaffected by default. To include these cards, you can manually enable the Account Updater functionality for each card individually using a PUT request. Once enabled, you can link the card to this API call to trigger updates with card networks.

  - `_embedded.Application.additional_required_fields` (object)
    Details if the Application requires additional fields.

  - `_embedded.Application.additional_required_fields.buyer_identity_phone` (boolean)
    Specifies if the Buyer [Identity](/api/identities/createidentity) › entity.phone field is required.

  - `_embedded.Application.additional_required_fields.buyer_identity_email` (boolean)
    Specifies if the Buyer [Identity](/api/identities/createidentity) › entity.email field is required.

  - `_embedded.Application.additional_required_fields.payment_instrument_name` (boolean)
    Specifies if the [Payment Instrument](/api/payment-instruments/createpaymentinstrument) › name field is required.

  - `_embedded.Application.additional_required_fields.transfer_ip_address_v4` (boolean)
    Specifies if the [Transfer](/api/transfers/createtransfer) › ip_address_v4 field is required.

  - `_embedded.Application.additional_required_fields.authorization_ip_address_v4` (boolean)
    Specifies if the [Authorization](/api/authorizations/createauthorization) › ip_address_v4 field is required.

  - `_embedded.Application.card_cvv_required` (boolean)
    Details if the Application requires CVV code.

  - `_embedded.Application.card_expiration_date_required` (boolean)
    Details if the Application requires the card's expiration date.

  - `_embedded.Application.creating_transfer_from_report_enabled` (boolean)
    Details if the Application is automatically set to create Transfers once settlement reports get generated.

  - `_embedded.Application.disbursements_ach_pull_enabled` (boolean)
    Indicates whether ACH pull disbursements (debits) are enabled, allowing funds to be withdrawn from an account via ACH transfer.

  - `_embedded.Application.disbursements_ach_push_enabled` (boolean)
    Indicates whether ACH push disbursements (credits) are enabled, allowing funds to be sent to an account via ACH transfer.

  - `_embedded.Application.disbursements_card_pull_enabled` (boolean)
    Indicates whether card pull disbursements (debits) are enabled, allowing funds to be withdrawn from a card.

  - `_embedded.Application.disbursements_card_push_enabled` (boolean)
    Indicates whether card push disbursements (credits) are enabled, allowing funds to be sent to a card.

  - `_embedded.Application.disbursements_same_day_ach_pull_enabled` (boolean)
    Indicates whether same-day ACH pull disbursements (debits) are enabled, allowing funds to be withdrawn from an account via same-day ACH transfer.

  - `_embedded.Application.disbursements_same_day_ach_push_enabled` (boolean)
    Indicates whether same-day ACH push disbursements (credits) are enabled, allowing funds to be sent to an account via same-day ACH transfer.

  - `_embedded.Application.enabled` (boolean)
    Details if the Application is enabled and active. Set to false to disable the Application.

  - `_embedded.Application.fee_ready_to_settle_upon` (string,null)
    Details when the fees of Authroizations submitted under the Application will be ready to settle.
    Enum: "RECONCILIATION", "SUCCESSFUL_CAPTURE", "PROCESSOR_WINDOW", "CONFIGURABLE_WINDOW"

  - `_embedded.Application.instant_payouts_card_push_enabled` (boolean)
    Set to true if you want to allow the merchant to be enabled for settlement instant payouts.

  - `_embedded.Application.name` (string)
    The name of the Application.

  - `_embedded.Application.network_token_enabled` (boolean)
    When enabled at the Application level, "network tokens" replace raw card details (e.g., the 16-digit PAN and expiration date) for transactions. Network tokens have several benefits:

- Network tokens offer increased authorization rates, even for lost or stolen cards, as they remain valid while the physical card is replaced.
- Visa reduces interchange fees when using network tokens.
- Tokens enhance security by replacing card details with a non-sensitive string that is usable only within the Finix system.

The default value is false as explicit opt-in is required.

Note: Cards created before the feature is enabled are unaffected. To include them, update an individual Payment Instrument. Then, you can insert the hyperlink on the "update".

  - `_embedded.Application.owner` (string)
    ID of the Identity resource that created the Application.
    Example: "IDxxxxxxxxxxxxxxxxxx"

  - `_embedded.Application.processing_enabled` (boolean)
    Details if transaction processing is enabled for the Application.

  - `_embedded.Application.ready_to_settle_upon` (string,null)
    Details when transactions submitted under the Application will be ready to settle.
    Enum: "RECONCILIATION", "SUCCESSFUL_CAPTURE", "PROCESSOR_WINDOW", "CONFIGURABLE_WINDOW"

  - `_embedded.Application.ready_to_settle_upon_delay_alignment` (string)
    Indicates whether transaction settlement should be delayed to synchronize the timing of all transactions, including both card and ACH, ensuring they are settled together.

Possible values include:

- ACH - Align all transactions to match the timing of ACH settlements, so card transactions settle at the same speed as ACH transactions.
- NONE - Default behavior where card transactions settle the next day (T+1) and ACH transactions settle two days later (T+2).
    Enum: "ACH", "NONE"

  - `_embedded.Application.refunds_disabled` (boolean)
    A value of true disables refunds for all merchants under this application, including both referenced and unreferenced refunds.

  - `_embedded.Application.settlement_approval_enabled` (boolean)
    This flag determines if ROLE_PARTNERs associated with this Application can approve settlements. It lets customers allow partners to add items to exception settlements and approve them.

  - `_embedded.Application.settlement_enabled` (boolean)
    Details if settlement approvals are enabled for the Application.

  - `_embedded.Application.settlement_funding_identifier` (string)
    Includes additional information (like the MID or Merchant name) when submitting funding Transfers to processors.
- UNSET: No additional details get provided to the processor.
- MID_AND_DATE: The MID of the Merchant and the date the funding Transfer was submitted (Date is in UTC). e.g MID:12345678-20220225
- MID_AND_MERCHANT_NAME: The MID of the Merchant and the Merchant#name (white spaces will be removed). e.g. MID:12345678-NameOfMerchant

These details appear alongside the seller's payout in their bank account as a description of the deposit.
    Enum: "UNSET", "MID_AND_DATE", "MID_AND_MERCHANT_NAME"

  - `_embedded.Application.settlement_queue_mode` (string)
    If settlement_queue_mode is set to MANUAL, Finix will automatically place all transactions (Sales, Fees, Refunds, and ACH Returns) into a settlement queue that you can manage. Each transaction will have a Settlement Queue Entry.

When a Settlement Queue Entry is created, it will not be placed into Settlement until the Settlement Queue Entry is explicitly released.

Note: We require the release of all settlement queue entries within 30 days of creation.
    Enum: "UNSET", "MANUAL"

  - `_embedded.Application.split_transfer_configuration` (object)
    Configuration settings that determine how different types of return transactions are handled for split transfers associated with the application.

The following enums define the strategies available for each return transaction type:
- PRIMARY_MERCHANT: The default strategy. The primary merchant will be responsible for the full amount of the return transaction. The primary merchant is the "high-level" merchant defined in the original split transfer.
- PROPORTIONALLY_DISTRIBUTE_AMOUNTS_AGAINST_ORIGINAL_MERCHANTS_RATIO: The return transaction amount will be distributed among the merchants involved in the original split transfer, based on their original ratios.

  - `_embedded.Application.split_transfer_configuration.ach_debit_return_strategy` (string)
    Strategy for handling ACH debit return transactions in split transfers.
    Enum: "PRIMARY_MERCHANT", "PROPORTIONALLY_DISTRIBUTE_AMOUNTS_AGAINST_ORIGINAL_MERCHANTS_RATIO"

  - `_embedded.Application.split_transfer_configuration.ach_credit_return_strategy` (string)
    Strategy for handling ACH credit return transactions in split transfers.
    Enum: "PRIMARY_MERCHANT", "PROPORTIONALLY_DISTRIBUTE_AMOUNTS_AGAINST_ORIGINAL_MERCHANTS_RATIO"

  - `_embedded.Application.split_transfer_configuration.eft_debit_return_strategy` (string)
    Strategy for handling EFT debit return transactions in split transfers.
    Enum: "PRIMARY_MERCHANT", "PROPORTIONALLY_DISTRIBUTE_AMOUNTS_AGAINST_ORIGINAL_MERCHANTS_RATIO"

  - `_embedded.Application.split_transfer_configuration.eft_credit_return_strategy` (string)
    Strategy for handling EFT credit return transactions in split transfers.
    Enum: "PRIMARY_MERCHANT", "PROPORTIONALLY_DISTRIBUTE_AMOUNTS_AGAINST_ORIGINAL_MERCHANTS_RATIO"

  - `_embedded.Application.split_transfer_configuration.card_disputes_strategy` (string)
    Strategy for handling card dispute transactions in split transfers.
    Enum: "PRIMARY_MERCHANT", "PROPORTIONALLY_DISTRIBUTE_AMOUNTS_AGAINST_ORIGINAL_MERCHANTS_RATIO"

  - `_embedded.Application.unreferenced_refund_manual_entry_enabled` (boolean)
    Indicates if application is allowed to process unreferenced refunds initiated through manual card entry on Finix terminals.

  - `_embedded.Application.tags` (object,null)
    Include up to 50 key: value pairs to annotate requests with custom metadata.
- Maximum character length for individual keys is 40.
- Maximum character length for individual values is 500.
(For example, order_number: 25, item_type: produce, department: sales)

  - `_embedded.Application._links` (object)

  - `_embedded.Application._links.self` (object)
    Link to the resource that was used in the request.

  - `_embedded.Application._links.self.href` (string)

  - `_links` (object)

  - `_links.self` (object)
    Link to the resource that was used in the request.

  - `_links.self.href` (string)

  - `_links.next` (object)
    Link to the next page of entries.

  - `_links.next.href` (string)

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 404 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.


